﻿using System;
using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Benchmark
{
    internal static class Logger
    {
        private static readonly ThreadSafeBindingList<LogMessage> Collection = new ThreadSafeBindingList<LogMessage>();

        public static ThreadSafeBindingList<LogMessage> Messages
        {
            get { return Collection; }
        }

        public static void Log(string message)
        {
            Collection.Add(new LogMessage(DateTime.Now, message));
            //Trace.WriteLine(message);
        }

        #region Nested type: LogMessage

        public sealed class LogMessage
        {
            private readonly DateTime _date;
            private readonly string _message;

            public LogMessage(DateTime date, string message)
            {
                _date = date;
                _message = message;
            }

            [Converter("HH:mm:ss.fff")]
            public DateTime Date
            {
                get { return _date; }
            }

            public string Message
            {
                get { return _message; }
            }
        }

        #endregion
    }
}